<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.mail.mapper.SmtpPopSettingsMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.storlead.mail.pojo.entity.SmtpPopSettingsEntity" extends="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.BaseResultMap">
            <id column="id" property="id" />
            <result column="smtp_server" property="smtpServer" />
            <result column="smtp_port" property="smtpPort" />
            <result column="protocol_type" property="protocolType" />
            <result column="email_address" property="emailAddress" />
            <result column="email_password" property="emailPassword" />
            <result column="use_default" property="useDefault" />
            <result column="smtp_ssl" property="smtpSsl" />
            <result column="smtp_tls" property="smtpTls" />
            <result column="receive_ssl" property="receiveSsl" />
            <result column="receive_port" property="receivePort" />
            <result column="receive_server" property="receiveServer" />
            <result column="sender_nick_name" property="senderNickName" />
            <result column="pull_day" property="pullDay" />
            <result column="reserve_day" property="reserveDay" />
            <result column="reply_content" property="replyContent" />
            <result column="reply_title" property="replyTitle" />
            <result column="is_auto_reply" property="isAutoReply" />
            <result column="reply_on_time" property="replyOnTime" />
            <result column="is_delete_mail" property="isDeleteMail" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
            id,protocol_type,receive_server,receive_port,smtp_port,smtp_server,smtp_email_address,
            smtp_email_password, use_mode, use_default,smtp_ssl,smtp_tls, receive_ssl, sender_nick_name,
            pull_day,reserve_day,reply_title,reply_content,is_auto_reply,reply_on_time,is_delete_mail
            <include refid="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.Base_Column_List"></include>
        </sql>

</mapper>
